import type { MjFormPhoneRenderOpts } from '.'
import type { RenderParams } from '../mj-form-plugin'

import { VxeUI } from 'vxe-table'

import { mj_form_phone } from '../mj-table'
import Index from './plugin.vue'
// 创建一个附件上传渲染器
VxeUI.renderer.add(mj_form_phone, {
  // 项显示模板
  renderFormItemContent(renderOpts: any, renderParams: any) {
    return (
      <Index
        renderOpts={renderOpts as MjFormPhoneRenderOpts}
        renderParams={renderParams as RenderParams}
      />
    )
  },
})
